# Lineární vektorové prostory

- neprázdnou množinu V nazveme lineární vekotorový prostor nad tělesem $\mathbb{T}$ (nad $\mathbb{C}$ nebo nad $\mathbb{R}$)
    - těleso je množina s operacemi "$+$" a "$*$" splňující distributivitu

Příklady:

| zápis      | typ                                         |
| ---------- | ------------------------------------------- |
| $R^2, R^3$ | geometrické vektory o 2, resp. 3 složkách   |
| $R^n$      | n-tice reálných čísel (aritmetické vektory) |
| $M_{m,n}$  | všechny matice typu m/n (nad $R$, nad $C$)  |
| $P_n$      | všechny polynomy stupně nejvýše n           |
| $C(a,b)$   | všechny funkce spojité na $<a, b>$          |

## základní vlastnosti v L. V. P.
- Nechť V je L. V. P. nad $\mathbb R$
    - nulový prvek je určen jednoznačně
    - je-li $x + y = x + z => y = z$
    - je-li $x + y = z => x = z + (-y)$
    - $\forall x \in V$ je opačný prvek $-x$ určen jednoznačně
    - $\forall x \in V$ a $\forall k \in  \mathbb R$ je $0x = k0 = 0$
    - $\forall x \in V$ je $-1x = -x$
    - je-li $kx = 0 => k = 0$ nebo $x = 0$

# Lineární závislost a nezávislost
- Nechť V je $L. V. P.$ a $v_1, v_2, ..., v_n$ jsou prvky prostoru V
- Nechť $\lambda_1, \lambda_2, ..., \lambda_n$ jsou reálná čísla (prvky $\mathbb T$)
- prvek $\lambda_1 v_1 + \lambda_2 v_2 + ... + \lambda_n v_n$ se nazvývá **lineární kombinací**
- prvky $v_1, v_2, ..., v_n$ jsou **linárně nezávislé** pokud LK $= 0$
- prvky $v_1, v_2, ..., v_n$ jsou **linárně závislé** pokud LK $\neq 0$

- prázdná množina prvků je vždy LN

### Podprostor

Máme lineární vektorový prostor $V$ a jeho podprostor $U \subset V$, jestliže
1) pro každé $\vec{u}, \vec{v} \in U$ je $\vec{u} + \vec{v} \in U$
2) pro každé $\vec{u} \in U$ a pro každé $a \in K$ je $a \cdot \vec{u} \in U$
	- vyplývá, že v podprostoru $U$ bude vždy i nulový vektor ($a = 0$)

Každý podprostor vektorového prostoru je také vektorovým prostorem.

#### Operace s podprostory

- Sjednocení $u_{1} \cup u_{2}$
	- Musí platit:
		- $u_{1} \subseteq u_{2}$
		- $u_{2} \subseteq u_{1}$

### Generující množina

Množina $M = \{\vec{v_{1}}, \vec{v_{2}}, \dots, \vec{v_{k}}\} \subseteq V$ generuje lineární vektorový prostor, jestliže se lineární kombinace všech prvků M rovná prostoru V, tedy $\langle M \rangle = V$.