# Nekonečné řady

Mějme dánu posloupnost $(a_{n})$ reálných čísel.

**Nekonečná řada** je symbol $\displaystyle\quad\sum_{n=1}^{+\infty} a_{n},\quad$ kterým označujeme výraz $a_{1} + a_{2} + a_{3} + \dots$.

### Posloupnost částečných součtů

**Posloupnost částečných součtů** řady $\displaystyle\quad\sum_{n=1}^{+\infty} a_{n}\quad$ je posloupnost $(s_n)$, kde
$$
\begin{matrix}
s_{1} = a_{1} \\
s_{2} = a_{1} + a_{2} \\
s_{3} = a_{1} + a_{2} + a_{3} \\
\vdots \\
s_{n} = a_{1} + a_{2} + a_{3} + \dots + a_{n}
\end{matrix}
$$

Čísla $a_{n}$ jsou **členy řady**, čísla $s_{n}$ jsou **částečné součty řady**. Pokud existuje limita $\lim_{ n \to \infty }{s_{n} = s \in \mathbb{R}^*}$, potom řada $\displaystyle \quad\sum_{n=1}^{+\infty} a_{n}\quad$ má **součet** $s$ a tuto skutečnost zapisujeme jako $\displaystyle \quad\sum_{n=1}^{+\infty} a_{n} = s$.

### Konvergence a divergence

Mějme dánu řadu  $\displaystyle \quad\sum_{n=1}^{+\infty} a_{n}\quad$ a nechť $(s_{n})$ je její posloupnost částečných součtů. Řada  $\displaystyle \sum_{n=1}^{+\infty} a_{n}$ je

| značka | typ                       | podmínka                          |
| ------ | ------------------------- | --------------------------------- |
| **K**  | konvergentní              | $(s_n)$ konverguje                |
| **D**  | divergentní               | $(s_{n})$ diverguje               |
|        | divergentní k $\pm\infty$ | $(s_{n})$ diverguje k $\pm\infty$ |

Pro **geometrickou řadu** $\displaystyle \quad\sum_{n=1}^{+\infty} q^{n-1} = 1 + q + q^2 + q^3 + \dots\quad$ platí

$$
\displaystyle \sum_{k=1}^{n} q^{k-1} = \begin{cases}
& \displaystyle\frac{1-q^n}{1-q} & \text{pro } q \neq 1, \\
& n  & \text{pro } q = 1,
\end{cases}
$$

$$
\displaystyle \sum_{n=1}^{+\infty} q^{n-1} \begin{cases}
& = \displaystyle\frac{1}{1-q} & \text{pro } \vert q\vert < 1, \\
& = +\infty & \text{pro } q \geq 1, \\
& \text{diverguje} & \text{pro } q \leq -1.
\end{cases}
$$

Je-li $\displaystyle \quad\sum_{n=1}^{+\infty} a_{n}, \quad\sum_{n=1}^{+\infty} b_{n}, \quad a,b \in \mathbb{R}^*, \quad c,d \in \mathbb{R}, \quad$ potom platí

$$
\displaystyle\sum_{n=1}^{+\infty} (c \cdot a_{n} + d \cdot b_{n}) = c \cdot a + d \cdot b
$$

pokud je výraz $(c \cdot a + d \cdot b)$ definován v $\mathbb{R}^*$ (tj. pokud není neurčitým výrazem). 

### Nutná podmínka konvergence řady

Je-li řada $\displaystyle \quad\sum_{n=1}^{+\infty} a_{n}\quad$ konvergentní, potom $\displaystyle\lim_{ n \to \infty }{a_{n}} = 0$.

**Poznámka**: Řada $\displaystyle \quad\sum_{n=1}^{+\infty} \frac{1}{n^\alpha}\quad$ konverguje pro $\alpha > 1$ a diverguje pro $\alpha \leq 1$.

## Kritéria

#### Srovnávací kritérium

Mějme dvě řady $\sum a_{n}, \sum b_{n}$ takové, že $\forall \, n \in \mathbb{N} : 0 \leq a_{n} \leq b_{n}$.
1) Jestliže řada $\sum b_{n}$ konverguje, potom konverguje také řada $\sum a_{n}$.
2) Jestliže řada $\sum a_{n}$ diverguje, potom diverguje také řada $\sum b_{n}$.

#### Limitní srovnávací kritérium

Mějme dánu řadu $\sum a_{n}$ s **nezápornými** členy a řadu $\sum b_{n}$ s **kladnými** členy. Pokud existuje vlastní limita $\displaystyle\quad\lim_{ n \to \infty }{\frac{a_{n}}{b_{n}}} > 0,\quad$ potom platí:
1) Řada $\sum a_{n}$ konverguje právě tehdy, když řada $\sum b_{n}$ konverguje.
2) Řada $\sum a_{n}$ diverguje právě tehdy, když řada $\sum b_{n}$ diverguje.

#### d’Alembertovo kritérium

Mějme dánu řadu $\sum a_{n}$ s **kladnými** členy.
1) Jestliže existuje $q \in (0, 1)$ takové, že $\displaystyle\quad\forall \, n \in \mathbb{N} : \frac{a_{n+1}}{a_{n}} \leq q \leq 1, \quad$ potom řada $\sum a_{n}$ konverguje.
2) Jestliže $\displaystyle\quad\forall \, n \in \mathbb{N} : \frac{a_{n+1}}{a_{n}} \geq 1, \quad$ potom řada $\sum a_{n}$ diverguje.

#### Limitní d’Alembertovo kritérium

Mějme dánu řadu $\sum a_{n}$ s **kladnými** členy a nechť existuje limita $\displaystyle\lim_{ n \to \infty }{\frac{a_{n+1}}{a_{n}}}$.
1) Jestliže $\displaystyle\lim_{ n \to \infty }{\frac{a_{n+1}}{a_{n}}} < 1$, potom řada $\sum a_{n}$ konverguje.
2) Jestliže $\displaystyle\lim_{ n \to \infty }{\frac{a_{n+1}}{a_{n}}} > 1$, potom řada $\sum a_{n}$ diverguje.

#### Cauchyovo kritérium

Mějme dánu řadu $\sum a_{n}$ s **nezápornými** členy.
1) Jestliže existuje $q \in (0,1)$ takové, že $\forall \, n \in \mathbb{N} : \sqrt[n]{a_{n}} \leq q < 1$, potom řada $\sum a_{n}$ konverguje.
2) Jestliže $\forall \, n \in \mathbb{N} : \sqrt[n]{ a_{n} } \geq 1$, potom řada $\sum a_{n}$ diverguje.

#### Limitní Cauchyho kritérium

Mějme dánu řadu $\sum a_{n}$ s **nezápornými** členy a nechť existuje limita $\lim_{ n \to \infty }{\sqrt[n]{ a_{n} }}$.
1) Jestliže $\displaystyle\lim_{ n \to \infty } \sqrt[n]{ a_{n} } < 1$, potom řada $\sum a_{n}$ konverguje.
2) Jestliže $\displaystyle\lim_{ n \to \infty } \sqrt[n]{ a_{n} } > 1$, potom řada $\sum a_{n}$ diverguje.

## Absolutní a relativní konvergence

Jestliže řada $\displaystyle\sum_{n=1}^{+\infty} \vert a_{n}\vert$ konverguje, potom konverguje také řada $\displaystyle\sum_{n=1}^{+\infty} a_{n}$.

Řekneme, že řada $\displaystyle\sum_{n=1}^{+\infty} a_{n}$ je

| typ                        | podmínka                                                                                                                       |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **absolutně konvergentní** | řada $\displaystyle\sum_{n=1}^{+\infty} \vert a_{n}\vert$ konverguje                                                           |
| **relativně konvergentní** | řada $\displaystyle\sum_{n=1}^{+\infty} a_{n}$ konverguje, řada $\displaystyle\sum_{n=1}^{+\infty} \vert a_{n}\vert$ diverguje |

## Alternující řada

Mějme dánu posloupnost $(a_{n})$ **kladných** čísel. Řada $\displaystyle\sum_{n=1}^{+\infty} (-1)^{n+1} \cdot a_{n} = a_{1} - a_{2} + a_{3} - \dots$ se nazývá **alternující řada**.

#### Leibnizovo kritérium

Nechť $\forall \, n \in \mathbb{N} : 0 < a_{n+1} \leq a_{n}$ a $\displaystyle\lim_{ n \to \infty } a_{n} = 0$.

Potom alternující řada $\displaystyle\sum_{n=1}^{+\infty} (-1)^{n+1} \cdot a_{n}$ konverguje.